org.mariadb.jdbc.internal.util.pid

## Class JnaPidFactory

- java.lang.Object
- - org.mariadb.jdbc.internal.util.pid.JnaPidFactory

    public class JnaPidFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JnaPidFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Supplier<String>` `getInstance()` Factory method to avoid loading JNA classes every connection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JnaPidFactory

    public JnaPidFactory()

### Method Detail

#### getInstance

    public static Supplier<String> getInstance()

Factory method to avoid loading JNA classes every connection.

Returns:
  factory that implement PID according to environment.